% Funkcja wywietla informacj o danych
%
% infoData(A)
%
% A - struktura danych (macierz komrkowa)

function [] = infoData(A)

s = sprintf('Data name: %s', A{4}); disp(s);
s = sprintf('Number of samples: %d', size(A{1},1)); disp(s);
s = sprintf('Number of attributes: %d', size(A{1},2)); disp(s);

for i = 1:size(A{1},2)
    if  isempty( A{2}{i} ) % atrybut numeryczny
        s = sprintf('  -  Attribute %d name: %s (numeric)', i, A{3}{i});
    else % atrybut nominalny
        s = sprintf('  -  Attribute %d name: %s (nominal)', i, A{3}{i});
    end
    disp(s);
end
